Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/VERSION
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/VERSION	(revision 74)
+++ 	(revision )
@@ -1,4 +1,0 @@
-v0.6
-
-0.5 modif vhdl_port et vhdl_testbench_port -> ajout d'une macro
-0.6 ajout de la documentation
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Execute_queue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Execute_queue.h	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Execute_queue.h	(revision 75)
@@ -137,5 +137,5 @@
     
     // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
-  private   : queue<execute_queue_entry_t *> * _queue;
+  private   : std::queue<execute_queue_entry_t *> * _queue;
     // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   private   : Tcontrol_t                       internal_EXECUTE_QUEUE_IN_ACK ;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_allocation.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_allocation.cpp	(revision 75)
@@ -24,6 +24,4 @@
   void Execute_queue::allocation (void)
   {
-    string rename;
-
     log_printf(FUNC,Execute_queue,FUNCTION,"Begin");
 
@@ -98,5 +96,5 @@
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-     _queue = new queue<execute_queue_entry_t *>;
+     _queue = new std::queue<execute_queue_entry_t *>;
 
 #ifdef POSITION
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_statistics_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_statistics_declaration.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_statistics_declaration.cpp	(revision 75)
@@ -25,5 +25,5 @@
     log_printf(FUNC,Execute_queue,FUNCTION,"Begin");
 
-    _stat = new Stat (static_cast<string>(_name),
+    _stat = new Stat (static_cast<std::string>(_name),
 		      "Execute_queue",
 		      param_statistics);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/VERSION
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/VERSION	(revision 74)
+++ 	(revision )
@@ -1,4 +1,0 @@
-v0.6
-
-0.5 modif vhdl_port et vhdl_testbench_port -> ajout d'une macro
-0.6 ajout de la documentation
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/VERSION
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/VERSION	(revision 74)
+++ 	(revision )
@@ -1,4 +1,0 @@
-v0.6
-
-0.5 modif vhdl_port et vhdl_testbench_port -> ajout d'une macro
-0.6 ajout de la documentation
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Write_queue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Write_queue.h	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/include/Write_queue.h	(revision 75)
@@ -179,5 +179,5 @@
 
     // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
-  protected : list<write_queue_entry_t *> * _queue;
+  protected : std::list<write_queue_entry_t *> * _queue;
 
     // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_allocation.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_allocation.cpp	(revision 75)
@@ -23,6 +23,4 @@
   void Write_queue::allocation (void)
   {
-    string rename;
-
     log_printf(FUNC,Write_queue,FUNCTION,"Begin");
 
@@ -139,5 +137,5 @@
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-  _queue = new list<write_queue_entry_t *>;
+     _queue = new std::list<write_queue_entry_t *>;
 
 #ifdef POSITION
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_genMoore.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_genMoore.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_genMoore.cpp	(revision 75)
@@ -86,5 +86,5 @@
     // -----[ Interface "bypass_write" ]----------------------------------
     {
-      list<write_queue_entry_t *>::iterator it = _queue->begin();
+      std::list<write_queue_entry_t *>::iterator it = _queue->begin();
       for (uint32_t i=0; i<_param->_nb_bypass_write; i++)
 	{
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_statistics_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_statistics_declaration.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_statistics_declaration.cpp	(revision 75)
@@ -25,5 +25,5 @@
     log_printf(FUNC,Write_queue,FUNCTION,"Begin");
 
-    _stat = new Stat (static_cast<string>(_name),
+    _stat = new Stat (static_cast<std::string>(_name),
 		      "Write_queue",
 		      param_statistics);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Write_unit_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Write_unit_allocation.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Write_unit_allocation.cpp	(revision 75)
@@ -145,5 +145,5 @@
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
 
-     string name;
+     std::string name;
 
      {
@@ -184,5 +184,5 @@
      {
        name = _name+"_write_queue";
-       cout << "Instance : " << name << endl;
+       std::cout << "Instance : " << name << std::endl;
 	
 #ifdef POSITION
@@ -196,6 +196,6 @@
 
 #ifdef POSITION
-       _component->interface_map (name ,"WRITE_QUEUE_IN",
-				  _name,"WRITE_UNIT_IN");
+       _component->interface_map (name ,"write_queue_in",
+				  _name,"write_unit_in");
 #endif
 
@@ -226,6 +226,6 @@
 	 {
 #ifdef POSITION
-	   _component->interface_map (name ,"WRITE_QUEUE_OUT",
-				      _name+"_execute_queue", "EXECUTE_QUEUE_IN");
+	   _component->interface_map (name ,"write_queue_out",
+				      _name+"_execute_queue", "execute_queue_in");
 #endif
 
@@ -250,6 +250,6 @@
 	 {
 #ifdef POSITION
-	   _component->interface_map (name ,"WRITE_QUEUE_OUT",
-				      _name,"WRITE_UNIT_OUT");
+	   _component->interface_map (name ,"write_queue_out",
+				      _name,"write_unit_out");
 #endif
 
@@ -275,6 +275,6 @@
 	 {
 #ifdef POSITION
-	   _component->interface_map (name ,"GPR_WRITE_"+toString(i),
-				      _name,"GPR_WRITE_"+toString(i));
+	   _component->interface_map (name ,"gpr_write_"+toString(i),
+				      _name,"gpr_write_"+toString(i));
 #endif	   
 	   
@@ -290,6 +290,6 @@
 	 {
 #ifdef POSITION
-	   _component->interface_map (name ,"SPR_WRITE_"+toString(i),
-				      _name,"SPR_WRITE_"+toString(i));
+	   _component->interface_map (name ,"spr_write_"+toString(i),
+				      _name,"spr_write_"+toString(i));
 #endif	   
 	   
@@ -306,6 +306,6 @@
 	 {
 #ifdef POSITION
-	   _component->interface_map (name ,"BYPASS_WRITE_"+toString(i),
-				      _name,"BYPASS_WRITE_"+toString(i));
+	   _component->interface_map (name ,"bypass_write_"+toString(i),
+				      _name,"bypass_write_"+toString(i));
 #endif	   
 
@@ -324,5 +324,5 @@
        {
 	 name = _name+"_execute_queue";
-	 cout << "Instance : " << name << endl;
+	 std::cout << "Instance : " << name << std::endl;
 	 
 #ifdef POSITION
@@ -336,6 +336,6 @@
 
 #ifdef POSITION
-	 _component->interface_map (name ,"WRITE_QUEUE_IN",
-				    _name+"_write_queue","WRITE_UNIT_IN");
+	 _component->interface_map (name ,"execute_queue_in",
+				    _name+"_write_queue","write_queue_in");
 #endif
 
@@ -358,6 +358,6 @@
 
 #ifdef POSITION
-	   _component->interface_map (name ,"EXECUTE_QUEUE_OUT",
-				      _name,"WRITE_UNIT_OUT_");
+	   _component->interface_map (name ,"execute_queue_out",
+				      _name,"write_unit_out");
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Write_unit_statistics_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Write_unit_statistics_declaration.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Write_unit_statistics_declaration.cpp	(revision 75)
@@ -24,5 +24,5 @@
     log_printf(FUNC,Write_unit,FUNCTION,"Begin");
 
-    _stat       = new Stat (static_cast<string>(_name),
+    _stat       = new Stat (static_cast<std::string>(_name),
 			    "Write_unit",
 			    param_statistics);
